/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.worker;

import pl.edu.mimuw.bioputer.tav4sb.consumer.task.AbstractWorker;
import pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.proc.ClassifySamples;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.ClassifiedSamples;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.ClassifySamplesParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.ClassifySamplesResult;
import pl.edu.mimuw.bioputer.tav4sb.utils.xml.XmlTranslator;

/**
 *
 * @author michal
 */
public class ClassifySamplesWorker extends AbstractWorker<ClassifySamplesParams, ClassifySamplesResult> {

    public ClassifySamplesWorker(XmlTranslator<ClassifySamplesResult, ClassifySamplesParams> translator) {
        super(translator);
    }

    @Override
    public ClassifySamplesResult doExecute(ClassifySamplesParams param) {
        ClassifiedSamples cs = ClassifySamples.classifySamples(
                param.getSamples().getSample(), param.getErrors().getError(), param.getThreshold());
        ClassifySamplesResult result = new ClassifySamplesResult();
        result.setClassifiedSamples(cs);
        return result;
    }
}

