#!/bin/bash
#-------------------------------------------------------------------------------
# Copyright (C) 2011 Mikołaj Rybiński
#
#     This file is part of Tav4SB.
#
#     Tav4SB is free software: you can redistribute it and/or modify it under
#     the terms of the GNU Affero General Public License as published by the
#     Free Software Foundation, either version 3 of the License, or (at your
#     option) any later version.
#
#     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
#     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
#     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
#     more details.
#
#     You should have received a copy of the GNU Affero General Public License
#     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
#
#     Contributors:
#         Paweł Banasik - initial implementation
#         Michał Lula - grid implementation
#         Mikołaj Rybiński - implementation and maintenance
#-------------------------------------------------------------------------------

echo Tav4SB home: $TAV4SB_HOME
# JSBML
jsbml_jar=$TAV4SB_CLIENT_ROOT/src/main/resources/lib/jsbml-0.8-b2-with-dependencies.jar
mvn install:install-file -DgeneratePom=true -DgroupId=org.sbml -DartifactId=jsbml -Dversion=0.8-b2 -Dpackaging=jar -Dfile=$jsbml_jar
