/*******************************************************************************
 * Copyright (C) 2011 Mikołaj Rybiński
 * 
 *     This file is part of Tav4SB.
 * 
 *     Tav4SB is free software: you can redistribute it and/or modify it under the
 *     terms of the GNU Affero General Public License as published by the Free
 *     Software Foundation, either version 3 of the License, or (at your option)
 *     any later version.
 * 
 *     Tav4SB is distributed in the hope that it will be useful, but WITHOUT ANY
 *     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 *     FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for
 *     more details.
 * 
 *     You should have received a copy of the GNU Affero General Public License
 *     along with Tav4SB. If not, see <http://www.gnu.org/licenses/>.
 * 
 *     Contributors:
 *         Paweł Banasik - initial implementation
 *         Michał Lula - grid implementation
 *         Mikołaj Rybiński - implementation and maintenance
 ******************************************************************************/
package pl.edu.mimuw.bioputer.tav4sb.workflows.bsh;
import java.util.Arrays;
import java.util.List;


public class SetConstants {

    public static void main(String[] args) {
        List<String> nameList = Arrays.asList(new String[]{"a", "b"});
        List<String> valueList = Arrays.asList(new String[]{"1:10"});

        int k = nameList.size();
        int l = valueList.size();
        int n = Math.max(k, l);
        StringBuffer sb = new StringBuffer();
        for (int i = 0; i < n; i++) {
            sb.append(nameList.get(i % k)+"="+valueList.get(i % l)+",");
        }
        sb.deleteCharAt(sb.length()-1);
        String constantsStr = sb.toString();

        System.out.println(constantsStr);
    }
}
