/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.worker;

import pl.edu.mimuw.bioputer.tav4sb.consumer.task.WorkerFactory;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.SelectObservablesParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.SelectObservablesResult;
import pl.edu.mimuw.bioputer.tav4sb.utils.xml.XmlTranslator;

/**
 *
 * @author michal
 */
public class SelectObservablesWorkerFactory implements WorkerFactory {

    public static final String context = "pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica";
    private static final SelectObservablesWorkerFactory instance = new SelectObservablesWorkerFactory();
    private static final XmlTranslator<SelectObservablesResult, SelectObservablesParams> translator =
            new XmlTranslator<SelectObservablesResult, SelectObservablesParams>(context);

    private SelectObservablesWorkerFactory() {
    }

    public static SelectObservablesWorkerFactory getInstance() {
        return instance;
    }

    public SelectObservablesWorker getWorker() {
        return new SelectObservablesWorker(translator);
    }
}
