/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.edu.mimuw.bioputer.tav4sb.logic.mathematica.worker;

import pl.edu.mimuw.bioputer.tav4sb.consumer.task.Worker;
import pl.edu.mimuw.bioputer.tav4sb.consumer.task.WorkerFactory;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.SelectThresholdParams;
import pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica.SelectThresholdResult;
import pl.edu.mimuw.bioputer.tav4sb.utils.xml.XmlTranslator;

/**
 *
 * @author michal
 */
public class SelectThresholdWorkerFactory implements WorkerFactory {

    public static final String context = "pl.edu.mimuw.bioputer.tav4sb.services.xsd.mathematica";
    private static final XmlTranslator<SelectThresholdResult, SelectThresholdParams> translator =
            new XmlTranslator<SelectThresholdResult, SelectThresholdParams>(context);
    private static final SelectThresholdWorkerFactory instance =
            new SelectThresholdWorkerFactory();

    private SelectThresholdWorkerFactory() {
    }

    public static SelectThresholdWorkerFactory getInstance() {
        return instance;
    }

    public Worker getWorker() {
        return new SelectThresholdWorker(translator);
    }
}
